import { collection, getDocs, type DocumentData } from "firebase/firestore/lite"
import type data_advanced from "interfaces/data_advanced"

import type { PlasmoMessaging } from "@plasmohq/messaging"

import { db } from "~background"

async function queryAdvancedData() {
  //const ref = db.ref('dinosaurs');
  //ref.orderByChild('height').on('child_added', (snapshot) => {
  //console.log(snapshot.key + ' was ' + snapshot.val().height + ' meters tall');
  //});
}

const handler: PlasmoMessaging.MessageHandler = async (req, res) => {
  const response = await queryAdvancedData()
  res.send({
    response
  })
}

export default handler
